## r-cran-hexbin 1.27.1

=== DESCRIPTION ===
Package: hexbin
Version: 1.27.1
Date: 2015-08-19
Title: Hexagonal Binning Routines
Author: Dan Carr <dcarr@voxel.galaxy.gmu.edu>, ported by Nicholas
        Lewin-Koh and Martin Maechler <maechler@stat.math.ethz.ch>,
		contains copies of lattice functions written by Deepayan Sarkar 
		<deepayan.sarkar@r-project.org>
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Depends: R (>= 2.0.1), methods
Imports: lattice, grid, graphics, grDevices, stats, utils
Suggests: marray, affy, Biobase, limma
Description: Binning and plotting functions for hexagonal bins. Now
        uses and relies on grid graphics and formal (S4) classes and
        methods.
Collate: lattice.R BTC.R BTY.R grid.hexagons.R grid.hexlegend.R hbox.R
        hdiffplot.R hexbinList.R hexbinplot.R hexbin.s4.R hexpanel.R
        hexplom.R hexPlotMA.R hexutil.R hexViewport.R HO.R LINGRAY.R
        LOCS.R MAG.R RB.R smoothHexbin.R
License: GPL-2
NeedsCompilation: yes
URL: http://github.com/edzer/hexbin
Packaged: 2015-08-19 15:11:53 UTC; edzer
Repository: CRAN
Date/Publication: 2015-08-19 17:28:20

=== debian/changelog ===
r-cran-hexbin (1.27.1-2) unstable; urgency=medium

  * Added missing copyright statement
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Convert from cdbs to dh-r
  * Secure URI in watch file
  * Canonical homepage for CRAN packages
  * Add README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2017 19:00:19 +0200

r-cran-hexbin (1.27.1-1) unstable; urgency=medium

  * Initial upload (Closes: #824360)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2016 01:01:21 +0200

=== debian/control ===
Source: r-cran-hexbin
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-cran-lattice
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-hexbin.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-hexbin.git
Homepage: https://cran.r-project.org/package=hexbin

Package: r-cran-hexbin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R hexagonal binning routines
 This GNU R package contains binning and plotting functions for hexagonal
 bins. Now uses and relies on grid graphics and formal (S4) classes and
 methods.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian/$(DEB_SOURCE)/ -type f -exec -x \{\} \;

## r-cran-hexbin 1.27.2

=== DESCRIPTION ===
Package: hexbin
Version: 1.27.2
Title: Hexagonal Binning Routines
Author: Dan Carr <dcarr@voxel.galaxy.gmu.edu>, ported by Nicholas
        Lewin-Koh and Martin Maechler <maechler@stat.math.ethz.ch>,
		contains copies of lattice functions written by Deepayan Sarkar 
		<deepayan.sarkar@r-project.org>
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Depends: R (>= 2.0.1), methods
Imports: lattice, grid, graphics, grDevices, stats, utils
Suggests: marray, affy, Biobase, limma
Description: Binning and plotting functions for hexagonal bins.
Collate: lattice.R BTC.R BTY.R grid.hexagons.R grid.hexlegend.R hbox.R
        hdiffplot.R hexbinList.R hexbinplot.R hexbin.s4.R hexpanel.R
        hexplom.R hexPlotMA.R hexutil.R hexViewport.R HO.R LINGRAY.R
        LOCS.R MAG.R RB.R smoothHexbin.R
License: GPL-2
NeedsCompilation: yes
URL: http://github.com/edzer/hexbin
Packaged: 2018-01-15 16:56:46 UTC; edzer
Repository: CRAN
Date/Publication: 2018-01-15 18:56:40 UTC

=== debian/changelog ===
r-cran-hexbin (1.27.2-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 11:53:58 +0200

r-cran-hexbin (1.27.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 16:47:36 +0100

=== debian/control ===
Source: r-cran-hexbin
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-lattice
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hexbin
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hexbin.git
Homepage: https://cran.r-project.org/package=hexbin

Package: r-cran-hexbin
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R hexagonal binning routines
 This GNU R package contains binning and plotting functions for hexagonal
 bins. Now uses and relies on grid graphics and formal (S4) classes and
 methods.

## r-cran-hexbin 1.27.3

=== debian/changelog ===
r-cran-hexbin (1.27.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Fix autopkgtest (using default template of dh-make-R)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 21:53:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-lattice
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hexbin
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hexbin.git
 Homepage: https://cran.r-project.org/package=hexbin

## r-cran-hexbin 1.28.1

=== DESCRIPTION ===
Package: hexbin
Version: 1.28.1
Title: Hexagonal Binning Routines
Author: Dan Carr <dcarr@voxel.galaxy.gmu.edu>, ported by Nicholas
        Lewin-Koh and Martin Maechler <maechler@stat.math.ethz.ch>,
		contains copies of lattice functions written by Deepayan Sarkar 
		<deepayan.sarkar@r-project.org>
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Depends: R (>= 2.0.1), methods
Imports: lattice, grid, graphics, grDevices, stats, utils
Suggests: marray, affy, Biobase, limma, knitr
Description: Binning and plotting functions for hexagonal bins.
Collate: lattice.R BTC.R BTY.R grid.hexagons.R grid.hexlegend.R hbox.R
        hdiffplot.R hexbinList.R hexbinplot.R hexbin.s4.R hexpanel.R
        hexplom.R hexPlotMA.R hexutil.R hexViewport.R HO.R LINGRAY.R
        LOCS.R MAG.R RB.R smoothHexbin.R
License: GPL-2
VignetteBuilder: knitr
NeedsCompilation: yes
URL: http://github.com/edzer/hexbin
Packaged: 2020-02-03 13:36:39 UTC; edzer
Repository: CRAN
Date/Publication: 2020-02-03 16:20:02 UTC

=== debian/changelog ===
r-cran-hexbin (1.28.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Feb 2020 11:30:44 +0100

r-cran-hexbin (1.28.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 09:39:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-lattice
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hexbin
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hexbin.git
 Homepage: https://cran.r-project.org/package=hexbin

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/hexbin_([\d.-]*)\.tar.gz

## r-cran-hexbin 1.28.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hexbin
-Version: 1.28.1
+Version: 1.28.2
 Title: Hexagonal Binning Routines
 Author: Dan Carr <dcarr@voxel.galaxy.gmu.edu>, ported by Nicholas
         Lewin-Koh and Martin Maechler <maechler@stat.math.ethz.ch>,
@@ -17,7 +17,7 @@
 License: GPL-2
 VignetteBuilder: knitr
 NeedsCompilation: yes
-URL: http://github.com/edzer/hexbin
-Packaged: 2020-02-03 13:36:39 UTC; edzer
+URL: https://github.com/edzer/hexbin
+Packaged: 2021-01-08 08:39:28 UTC; edzer
 Repository: CRAN
-Date/Publication: 2020-02-03 16:20:02 UTC
+Date/Publication: 2021-01-08 09:40:03 UTC

=== debian/changelog ===
r-cran-hexbin (1.28.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 23:34:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-lattice
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hexbin
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hexbin.git
 Homepage: https://cran.r-project.org/package=hexbin
+Rules-Requires-Root: no
 
 Package: r-cran-hexbin
 Architecture: any

## r-cran-hexbin 1.28.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hexbin
-Version: 1.28.2
+Version: 1.28.3
 Title: Hexagonal Binning Routines
 Author: Dan Carr <dcarr@voxel.galaxy.gmu.edu>, ported by Nicholas
         Lewin-Koh and Martin Maechler <maechler@stat.math.ethz.ch>,
@@ -18,6 +18,6 @@
 VignetteBuilder: knitr
 NeedsCompilation: yes
 URL: https://github.com/edzer/hexbin
-Packaged: 2021-01-08 08:39:28 UTC; edzer
+Packaged: 2023-03-21 20:34:52 UTC; edzer
 Repository: CRAN
-Date/Publication: 2021-01-08 09:40:03 UTC
+Date/Publication: 2023-03-21 21:40:05 UTC

=== debian/changelog ===
r-cran-hexbin (1.28.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 17:09:28 +0200

=== debian/control ===
Source: r-cran-hexbin
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hexbin
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hexbin.git
Homepage: https://cran.r-project.org/package=hexbin
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-lattice
Testsuite: autopkgtest-pkg-r

Package: r-cran-hexbin
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R hexagonal binning routines
 This GNU R package contains binning and plotting functions for hexagonal
 bins. Now uses and relies on grid graphics and formal (S4) classes and
 methods.

## r-cran-hexbin 1.28.5

=== DESCRIPTION ===
Package: hexbin
Version: 1.28.5
Title: Hexagonal Binning Routines
Authors@R: c(person(given = "Dan",
                      family = "Carr",
                      role = "aut",
                      email = "dcarr@voxel.galaxy.gmu.edu"),
               person(given = c("Nicholas"),
                      family = "Lewin-Koh",
                      role = "aut"),
               person(given = "Martin",
                      family = "Maechler",
                      role = "aut",
                      email = "maechler@stat.math.ethz.ch"),
               person(given = "Deepayan",
                      family = "Sarkar",
                      role = "aut",
                      email = "deepayan.sarkar@r-project.org"),
               person(given = "Edzer",
                      family = "Pebesma",
                      role = "cre",
                      comment = c(ORCID = "0000-0001-8049-7069"),
                      email = "edzer.pebesma@uni-muenster.de"))
Depends: R (>= 2.0.1), methods
Imports: lattice, grid, graphics, grDevices, stats, utils
Suggests: marray, affy, Biobase, limma, knitr
Description: Binning and plotting functions for hexagonal bins.
Collate: lattice.R BTC.R BTY.R grid.hexagons.R grid.hexlegend.R hbox.R
        hdiffplot.R hexbinList.R hexbinplot.R hexbin.s4.R hexpanel.R
        hexplom.R hexPlotMA.R hexutil.R hexViewport.R HO.R LINGRAY.R
        LOCS.R MAG.R RB.R smoothHexbin.R
License: GPL-2
VignetteBuilder: knitr
NeedsCompilation: yes
URL: https://github.com/edzer/hexbin
Packaged: 2024-11-13 17:43:55 UTC; edzer
Author: Dan Carr [aut],
  Nicholas Lewin-Koh [aut],
  Martin Maechler [aut],
  Deepayan Sarkar [aut],
  Edzer Pebesma [cre] (<https://orcid.org/0000-0001-8049-7069>)
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2024-11-13 19:20:02 UTC

=== debian/changelog ===
r-cran-hexbin (1.28.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 09:11:27 +0900

r-cran-hexbin (1.28.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 11 Oct 2024 08:57:17 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hexbin
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hexbin.git
 Homepage: https://cran.r-project.org/package=hexbin
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-bioc-affy,
        r-bioc-biobase,
        r-bioc-limma,
        r-cran-knitr
Restrictions: allow-stderr
